#2054 closed defect (wontfix)

unstable i2p repo still installing the stable version

Reported by: anonymous maybe Owned by: zzz
Priority: minor Milestone: undecided
Component: package/debian Version: 0.9.31
Keywords: Cc:
Parent Tickets:

Description (last modified by anonymous maybe)

if i change the repo from lets say stretch main to unstable main. nothing will change like no new upgrades or even if i delete i2p and install it again it will keep showing the stable version of i2p which is 0.9.31

this is the version from i2p log installed from unstable repo inside debian buster :-

 I2P version:	0.9.31-0-1ubuntu1
Java version:	Oracle Corporation 1.8.0_144 (OpenJDK Runtime Environment 1.8.0_144-8u144-b01-1-b01)
Wrapper version:	3.5.30
Server version:	9.2.22.v20170531
Servlet version:	Jasper JSP 2.3 Engine
JSTL version:	standard-taglib 1.2.0
Platform:	Linux amd64 4.9.45-21.pvops.qubes.x86_64
Jcpuid version:	3
Processor:	Haswell Core i3/i5/i7 model 60 (coreihwl)
Jbigi:	Locally optimized native BigInteger library loaded from file
Jbigi version:	4
GMP version:	6.1.2
Encoding:	UTF-8
Charset:	UTF-8

Subtickets

Change History (7)

comment:1 Changed 18 months ago by anonymous maybe

  • Description modified (diff)

comment:2 follow-up: Changed 18 months ago by zzz

  • Status changed from new to infoneeded_new

what version did you expect to be available and download?
'unstable' is the debian version.
It doesn't mean that there will necessarily be a different version of i2p in there.

comment:3 Changed 18 months ago by zzz

  • Component changed from unspecified to package/debian
  • Owner set to zzz
  • Status changed from infoneeded_new to new

comment:4 Changed 18 months ago by zzz

  • Status changed from new to infoneeded_new

comment:5 in reply to: ↑ 2 Changed 18 months ago by anonymous maybe

  • Status changed from infoneeded_new to new

Replying to zzz:

what version did you expect to be available and download?
'unstable' is the debian version.
It doesn't mean that there will necessarily be a different version of i2p in there.

i expect to c version 0.9.35 or anything higher than 0.9.31 , because thats how it works with repos e.g:-

stable repo = version 1.0
testing repo = version 1.1
unstable repo = version 2

thats how repos interpreting. if u dont upload except i2p stable then delete those repos which doesnt represent the stable version like testing/unstable.

comment:6 Changed 18 months ago by zzz

Thanks for the reply. I don't believe we can meet those expectations.

1) As I said in comment 2 above, 'unstable' (sid) is the distribution. The repo is for those running that distribution. The packages in that repo may or may not be different than the latest stable release. The repo is there for the convenience of people running an unstable distribution.

2) As a project, I2P does not maintain separate stable and unstable branches and releases. We have a single stable branch.

3) We do not generate debian packages for dev builds. Dev builds in other formats are available at bobthebuilder.i2p. While it's possible that somebody may in the future maintain a repo for dev builds, there isn't one now.

comment:7 Changed 17 months ago by zzz

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.